Package Details: defcon 1.60-2

Git Clone URL: https://aur.archlinux.org/defcon.git (read-only)
Package Base: defcon
Description: Global Thermonuclear War game
Upstream URL: http://www.introversion.co.uk/defcon/
Licenses: custom
Submitter: wide-eyed
Maintainer: Muflone
Last Packager: Muflone
Votes: 38
Popularity: 0.000067
First Submitted: 2007-05-06 04:36
Last Updated: 2015-11-08 12:45

Latest Comments

Muflone commented on 2015-11-08 12:46

@mutantmonkey
Fixed, thank you for pointing that

mutantmonkey commented on 2015-11-08 03:07

There is a typo on line 50 that prevents this from building properly for x86_64 systems. Please change "x36_64" to "x86_64"; I've tested and it works properly after this change.

Muflone commented on 2013-08-11 14:58

New release 1.6

Muflone commented on 2013-08-10 16:20

Package fixed
Added dependencies for x86_64
Added multiple resolutions icons for desktop file
Removed the launcher script to use the original binary file (this will help the docking bar to properly recognize the application and the icon).
Removed useless and old SDL libraries

caemir commented on 2013-05-18 11:56

sound.dat is mdr5 fd41c54b5654e8797d2f7febb087c60e

Bobyl commented on 2012-12-09 11:10

Version 1.60 is available for Linux download here:
http://www.introversion.co.uk/defcon/downloads/linux.html

Anonymous comment on 2012-04-02 23:48

The URL for sounds.dat has changed, hence the package no longer builds.

To fix this:

source=(...
http://download.introversion.co.uk/defcon/sounds.dat $pkgname.png \
...)

should be changed to:

source=(...
http://www.introversion.co.uk/defcon/downloads/linux_archive/linux/new/defcon-v1.42/lib/sounds.dat $pkgname.png \
...)

You'll also need to change:

noextract=(audio.dat $pkgname.png $pkgname.desktop )

to: noextract=(sounds.dat audio.dat $pkgname.png $pkgname.desktop )

Also, for those of us running on PulseAudio, a quick fix is to launch the game with padsp, i.e., "padsp defcon".

There's a notice of a new version (1.60) ingame, but I'm fairly certain no Linux patch exists.
It might be possible to manually apply the files in the patch if required, though.

Marvn commented on 2011-11-23 19:32

1.6 have 64b binary...not a feature, but good news for some of us

flkjfdslkfjs commented on 2011-11-23 03:16

Meh, it's okay, your comment with the URL is worth having here for the people who have bought that bundle, along with a aur package specific to it :). Don't take my bitchy-ness to heart!

Generally most aur maintainers have their email address in their profile so you can contact them directly too :)

naelstrof commented on 2011-11-23 03:07

Oh thanks for the suggestion; I'm very new to the AUR and wanted to contribute with a working Humble Indie Bundle PKGBUILD. Still not sure how things work around here.

I deleted the comment so people wouldn't download it from a third party site.

All comments